Subject: Re: bug#23223: 25.0.92; Can xref-find-references be sped up?

From: Dmitry Gutov <[email-masked]>
Date: Wed, 13 Apr 2016 13:18:14 +0300

On 04/13/2016 05:44 AM, Eli Zaretskii wrote:

> Attached.

Thank you. Unfortunately, nothing jumps out. Could you try instrumenting 
a couple of functions, to see where the matches get lost?

First, semantic-symref-parse-tool-output, see whether the buffer 
contents are different between invocations (press `e' and evaluate 
(write-region (point-min) (point-max) "lid-output-x.txt")).

Next, xref--convert-hits. See that its gets the expected number of hits 
as input (plus maybe a few that we legitimately need to filter out).

If both are true, I guess there's nothing better to do than step through 
xref--convert-hits and see where it loses the matches. But I'm guessing 
the problem is somewhere before it.